$LastChangedDate: 27-Juil-2011 $

# CL_op_rpvinf2ae

Periapsis radius and velocity at infinity to semi major axis and eccentricity (hyperbolic orbits)

## Calling Sequence

       [sma,ecc] = CL_op_rpvinf2ae(rp,vinf[,mu])

## Description

- Computes semi major axis and eccentricity from periapsis radius and velocity at infinity (hyperbolic orbits only).

## Parameters

rp:

  Periapsis radius [m] (1xN or 1x1)

vind:

  Velocity at infinity [rad] (1xN or 1x1)

mu :

  (optional) Gravitational constant [m^3/s^2] (default value is %CL_mu)

sma:

  Semi major axis [m] (1xN)

ecc:

  Eccentricity (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_op_rpvp2ae

## Examples

    rp = 7078.e3;
    vinf = 12.e3;
    [sma,ecc] = CL_op_rpvinf2ae(rp,vinf)